    // Solve the Momentum equation

    tmp<fvVectorMatrix> UEqn
    (
        fvm::div(phi, U)
      + turbulence->divDevReff(U)
    );

    UEqn().relax();

    //Clear old values in ioVolumeForce
    for(label k = 0; k < VolumeForce.size(); k++) {
    	VolumeForce[k] = vector::zero;
   }

    //Calculate volume force from actuator disk
    actuatorDisk.CalcActuatorDiskVolForce(mesh, VolumeForce);

    eqnResidual = solve
    (
        UEqn() == -fvc::grad(p) + VolumeForce
    ).initialResidual();

    maxResidual = max(eqnResidual, maxResidual);
